Mono.Options 0.2.2.0 Mono.Options.ArgumentSource Inserts the contents of a file during argument processing.

ResponseFileSource looks for arguments which start with @, assumes that what follows the @ is a valid filename, and reads the contents of the filename as the replacement text.

- Constructor
  0.2.2.0
  Constructs and initializes a instance.
- Property
  0.2.2.0
  System.String The description to provide for the argument source within . "Read response file for more options.".
- Method
  0.2.2.0
  System.Boolean `` `` A containing the argument to replace with additional arguments. A which will refer to teh replacement arguments if this method returns ; otherwise, this value should be ignored by callers. Replace the argument with the contents of the specified file. If starts with @, then will contain the parsed contents of the filename resulting from .Substring(1) and is returned; otherwise, is returned. starts with @ and .Substring(1) doees not exist.
- Method
  0.2.2.0
  System.String[] The names to provide for the argument source within . A array containing an element with the value "@file".